Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime.objectprovider
Class MergedResultList.MergedIterator

    java.lang.Object
      |
      +--com.solarmetric.kodo.runtime.objectprovider.MergedResultList.ImmutableListIterator
            |
            +--com.solarmetric.kodo.runtime.objectprovider.MergedResultList.MergedIterator

All Implemented Interfaces:
  Iterator, ListIterator

Enclosing class:
  MergedResultList

protected final class MergedResultList.MergedIterator
extends com.solarmetric.kodo.runtime.objectprovider.MergedResultList.ImmutableListIterator

This iterator provides access to the internally held lists with no support for manual ordering

Constructor Summary
`MergedResultList.MergedIterator(int index)`

Method Summary
`void` | `add(Object o)` Not supported.
`Object` | `getIndex(int idx)` Returns the object at the Nth index in the list.
`boolean` | `hasNext()`
`boolean` | `hasPrevious()`
`Object` | `next()`
`int` | `nextIndex()`
`Object` | `previous()`
`int` | `previousIndex()`
`void` | `remove()` Not supported.
`void` | `set(Object o)` Not supported.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MergedResultList.MergedIterator

    public MergedResultList.MergedIterator(int index)

Method Detail

### next

    public Object next()

### previous

    public Object previous()

### nextIndex

    public int nextIndex()

### previousIndex

    public int previousIndex()

### hasNext

    public boolean hasNext()

### hasPrevious

    public boolean hasPrevious()

### getIndex

    public Object getIndex(int idx)

  Returns the object at the Nth index in the list. Ordering is not considered, so we do not run the risk of unnecessarity instantiating elements of the list that are not needed.
  Returns:
    the object at the index, or null if we are out bounds

### add

    public final void add(Object o)
                   throws UnsupportedOperationException

  Not supported.
  Specified by:
    `add` in interface `ListIterator`
  Throws:
    `UnsupportedOperationException` - always

### set

    public final void set(Object o)
                   throws UnsupportedOperationException

  Not supported.
  Specified by:
    `set` in interface `ListIterator`
  Throws:
    `UnsupportedOperationException` - always

### remove

    public final void remove()
                      throws UnsupportedOperationException

  Not supported.
  Specified by:
    `remove` in interface `ListIterator`
  Throws:
    `UnsupportedOperationException` - always

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.